Package org.apache.tomcat.util.http.fileupload.util.mime

## Class MimeUtility

- java.lang.Object
- - org.apache.tomcat.util.http.fileupload.util.mime.MimeUtility

    public final class MimeUtility
    extends java.lang.Object

Utility class to decode MIME texts.

Since:
  1.3

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `decodeText​(java.lang.String text)` Decode a string of text obtained from a mail header into its proper form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decodeText

    public static java.lang.String decodeText​(java.lang.String text)
                                       throws java.io.UnsupportedEncodingException

Decode a string of text obtained from a mail header into its proper form. The text generally will consist of a string of tokens, some of which may be encoded using base64 encoding.

Parameters:
  `text` - The text to decode.
Returns:
  The decoded text string.
Throws:
  `java.io.UnsupportedEncodingException` - if the detected encoding in the input text is not supported.